diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/test_index_constraint_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/test_index_constraint_add.py
index 7e8a901..cfccc6d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/test_index_constraint_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/test_index_constraint_add.py
@@ -25,13 +25,13 @@ class IndexConstraintAddTestCase(BaseTestGenerator):
     """This class will add index constraint(primary key or unique key) to
     table column"""
     primary_key_name = "test_primarykey_add_%s" % \
-                       (str(uuid.uuid4())[1:6])
+                       (str(uuid.uuid4()).replace("-", ""))
     primary_key_data = {"name": primary_key_name,
                         "spcname": "pg_default",
                         "columns": [{"column": "id"}]
                         }
     unique_key_name = "test_uniquekey_add_%s" % \
-                      (str(uuid.uuid4())[1:6])
+                      (str(uuid.uuid4()).replace("-", ""))
     unique_key_data = {"name": unique_key_name,
                        "spcname": "pg_default",
                        "columns": [{"column": "id"}]}
@@ -62,7 +62,7 @@ class IndexConstraintAddTestCase(BaseTestGenerator):
             raise Exception("Could not find the schema to add a index "
                             "constraint(primary key or unique key).")
         cls.table_name = "table_indexconstraint_%s" % \
-                         (str(uuid.uuid4())[1:6])
+                         (str(uuid.uuid4()).replace("-", ""))
         cls.table_id = tables_utils.create_table(cls.server,
                                                  cls.db_name,
                                                  cls.schema_name,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/test_index_constraint_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/test_index_constraint_delete.py
index c9492d0..fa98a5f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/test_index_constraint_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/test_index_constraint_delete.py
@@ -25,9 +25,9 @@ class IndexConstraintDeleteTestCase(BaseTestGenerator):
     """This class will delete index constraint(primary key or unique key) of
     table column"""
     primary_key_name = "test_primarykey_delete_%s" % \
-                       (str(uuid.uuid4())[1:6])
+                       (str(uuid.uuid4()).replace("-", ""))
     unique_key_name = "test_uniquekey_delete_%s" % \
-                      (str(uuid.uuid4())[1:6])
+                      (str(uuid.uuid4()).replace("-", ""))
     scenarios = [
         ('Delete primary Key constraint of table',
          dict(url='/browser/primary_key/obj/', name=primary_key_name,
@@ -57,7 +57,7 @@ class IndexConstraintDeleteTestCase(BaseTestGenerator):
             raise Exception("Could not find the schema to add a index "
                             "constraint(primary key or unique key).")
         cls.table_name = "table_indexconstraint_%s" % \
-                         (str(uuid.uuid4())[1:6])
+                         (str(uuid.uuid4()).replace("-", ""))
         cls.table_id = tables_utils.create_table(cls.server,
                                                  cls.db_name,
                                                  cls.schema_name,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/test_index_constraint_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/test_index_constraint_get.py
index be126f6..baf9f44 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/test_index_constraint_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/test_index_constraint_get.py
@@ -25,9 +25,9 @@ class IndexConstraintGetTestCase(BaseTestGenerator):
     """This class will fetch the index constraint(primary key or unique key) of
     table column"""
     primary_key_name = "test_primarykey_delete_%s" % \
-                       (str(uuid.uuid4())[1:6])
+                       (str(uuid.uuid4()).replace("-", ""))
     unique_key_name = "test_uniquekey_delete_%s" % \
-                      (str(uuid.uuid4())[1:6])
+                      (str(uuid.uuid4()).replace("-", ""))
     scenarios = [
         ('Fetch primary Key constraint of table',
          dict(url='/browser/primary_key/obj/', name=primary_key_name,
@@ -57,7 +57,7 @@ class IndexConstraintGetTestCase(BaseTestGenerator):
             raise Exception("Could not find the schema to add a index "
                             "constraint(primary key or unique key).")
         cls.table_name = "table_indexconstraint_%s" % \
-                         (str(uuid.uuid4())[1:6])
+                         (str(uuid.uuid4()).replace("-", ""))
         cls.table_id = tables_utils.create_table(cls.server,
                                                  cls.db_name,
                                                  cls.schema_name,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/test_index_constraint_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/test_index_constraint_put.py
index c9e1be8..cfe7f0a 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/test_index_constraint_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/test_index_constraint_put.py
@@ -26,9 +26,9 @@ class IndexConstraintUpdateTestCase(BaseTestGenerator):
     """This class will update index constraint(primary key or unique key) of
     table column"""
     primary_key_name = "test_primarykey_put_%s" % \
-                       (str(uuid.uuid4())[1:6])
+                       (str(uuid.uuid4()).replace("-", ""))
     unique_key_name = "test_uniquekey_put_%s" % \
-                      (str(uuid.uuid4())[1:6])
+                      (str(uuid.uuid4()).replace("-", ""))
     data = {"oid": "", "comment": "this is test comment"}
     scenarios = [
         ('Update primary Key constraint of table',
@@ -59,7 +59,7 @@ class IndexConstraintUpdateTestCase(BaseTestGenerator):
             raise Exception("Could not find the schema to add a index "
                             "constraint(primary key or unique key).")
         cls.table_name = "table_indexconstraint_%s" % \
-                         (str(uuid.uuid4())[1:6])
+                         (str(uuid.uuid4()).replace("-", ""))
         cls.table_id = tables_utils.create_table(cls.server,
                                                  cls.db_name,
                                                  cls.schema_name,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_add.py
index 4a03a1a..963c1a6 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_add.py
@@ -43,14 +43,14 @@ class IndexesAddTestCase(BaseTestGenerator):
                                                       self.schema_name)
         if not schema_response:
             raise Exception("Could not find the schema to add a table.")
-        self.table_name = "table_for_column_%s" % (str(uuid.uuid4())[1:6])
+        self.table_name = "table_for_column_%s" % (str(uuid.uuid4()).replace("-", ""))
         self.table_id = tables_utils.create_table(self.server, self.db_name,
                                                   self.schema_name,
                                                   self.table_name)
 
     def runTest(self):
         """This function will add index to existing table column."""
-        self.index_name = "test_index_add_%s" % (str(uuid.uuid4())[1:6])
+        self.index_name = "test_index_add_%s" % (str(uuid.uuid4()).replace("-", ""))
         data = {"name": self.index_name,
                 "spcname": "pg_default",
                 "amname": "btree",
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_delete.py
index a00ce81..a8275b1 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_delete.py
@@ -45,17 +45,17 @@ class IndexesDeleteTestCase(BaseTestGenerator):
                                                       self.schema_name)
         if not schema_response:
             raise Exception("Could not find the schema to add a table.")
-        self.table_name = "table_column_%s" % (str(uuid.uuid4())[1:6])
+        self.table_name = "table_column_%s" % (str(uuid.uuid4()).replace("-", ""))
         self.table_id = tables_utils.create_table(self.server, self.db_name,
                                                   self.schema_name,
                                                   self.table_name)
-        self.column_name = "test_column_delete_%s" % (str(uuid.uuid4())[1:6])
+        self.column_name = "test_column_delete_%s" % (str(uuid.uuid4()).replace("-", ""))
         self.column_id = columns_utils.create_column(self.server,
                                                      self.db_name,
                                                      self.schema_name,
                                                      self.table_name,
                                                      self.column_name)
-        self.index_name = "test_index_delete_%s" % (str(uuid.uuid4())[1:6])
+        self.index_name = "test_index_delete_%s" % (str(uuid.uuid4()).replace("-", ""))
         self.index_id = indexes_utils.create_index(self.server, self.db_name,
                                                    self.schema_name,
                                                    self.table_name,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_get.py
index a3d3c3b..2265e39 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_get.py
@@ -45,17 +45,17 @@ class IndexesGetTestCase(BaseTestGenerator):
                                                       self.schema_name)
         if not schema_response:
             raise Exception("Could not find the schema to add a table.")
-        self.table_name = "table_column_%s" % (str(uuid.uuid4())[1:6])
+        self.table_name = "table_column_%s" % (str(uuid.uuid4()).replace("-", ""))
         self.table_id = tables_utils.create_table(self.server, self.db_name,
                                                   self.schema_name,
                                                   self.table_name)
-        self.column_name = "test_column_delete_%s" % (str(uuid.uuid4())[1:6])
+        self.column_name = "test_column_delete_%s" % (str(uuid.uuid4()).replace("-", ""))
         self.column_id = columns_utils.create_column(self.server,
                                                      self.db_name,
                                                      self.schema_name,
                                                      self.table_name,
                                                      self.column_name)
-        self.index_name = "test_index_delete_%s" % (str(uuid.uuid4())[1:6])
+        self.index_name = "test_index_delete_%s" % (str(uuid.uuid4()).replace("-", ""))
         self.index_id = indexes_utils.create_index(self.server, self.db_name,
                                                    self.schema_name,
                                                    self.table_name,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_put.py
index 148f856..0d02830 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_put.py
@@ -46,17 +46,17 @@ class IndexesUpdateTestCase(BaseTestGenerator):
                                                       self.schema_name)
         if not schema_response:
             raise Exception("Could not find the schema to add a table.")
-        self.table_name = "table_column_%s" % (str(uuid.uuid4())[1:6])
+        self.table_name = "table_column_%s" % (str(uuid.uuid4()).replace("-", ""))
         self.table_id = tables_utils.create_table(self.server, self.db_name,
                                                   self.schema_name,
                                                   self.table_name)
-        self.column_name = "test_column_delete_%s" % (str(uuid.uuid4())[1:6])
+        self.column_name = "test_column_delete_%s" % (str(uuid.uuid4()).replace("-", ""))
         self.column_id = columns_utils.create_column(self.server,
                                                      self.db_name,
                                                      self.schema_name,
                                                      self.table_name,
                                                      self.column_name)
-        self.index_name = "test_index_delete_%s" % (str(uuid.uuid4())[1:6])
+        self.index_name = "test_index_delete_%s" % (str(uuid.uuid4()).replace("-", ""))
         self.index_id = indexes_utils.create_index(self.server, self.db_name,
                                                    self.schema_name,
                                                    self.table_name,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/tests/test_rules_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/tests/test_rules_add.py
index dd8a4cb..e558f4c 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/tests/test_rules_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/tests/test_rules_add.py
@@ -43,14 +43,14 @@ class RulesAddTestCase(BaseTestGenerator):
                                                       self.schema_name)
         if not schema_response:
             raise Exception("Could not find the schema to add a rule.")
-        self.table_name = "table_column_%s" % (str(uuid.uuid4())[1:6])
+        self.table_name = "table_column_%s" % (str(uuid.uuid4()).replace("-", ""))
         self.table_id = tables_utils.create_table(self.server, self.db_name,
                                                   self.schema_name,
                                                   self.table_name)
 
     def runTest(self):
         """This function will rule under table node."""
-        rule_name = "test_rule_add_%s" % (str(uuid.uuid4())[1:6])
+        rule_name = "test_rule_add_%s" % (str(uuid.uuid4()).replace("-", ""))
         data = {"schema": self.schema_name,
                 "view": self.table_name,
                 "name": rule_name,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/tests/test_rules_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/tests/test_rules_delete.py
index b0c99dd..19d0458 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/tests/test_rules_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/tests/test_rules_delete.py
@@ -43,11 +43,11 @@ class RulesDeleteTestCase(BaseTestGenerator):
                                                       self.schema_name)
         if not schema_response:
             raise Exception("Could not find the schema to delete rule.")
-        self.table_name = "table_column_%s" % (str(uuid.uuid4())[1:6])
+        self.table_name = "table_column_%s" % (str(uuid.uuid4()).replace("-", ""))
         self.table_id = tables_utils.create_table(self.server, self.db_name,
                                                   self.schema_name,
                                                   self.table_name)
-        self.rule_name = "test_rule_delete_%s" % (str(uuid.uuid4())[1:6])
+        self.rule_name = "test_rule_delete_%s" % (str(uuid.uuid4()).replace("-", ""))
         self.rule_id = rules_utils.create_rule(self.server, self.db_name,
                                                self.schema_name,
                                                self.table_name,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/tests/test_rules_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/tests/test_rules_get.py
index b349878..fbf14ef 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/tests/test_rules_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/tests/test_rules_get.py
@@ -43,11 +43,11 @@ class RulesGetTestCase(BaseTestGenerator):
                                                       self.schema_name)
         if not schema_response:
             raise Exception("Could not find the schema to delete rule.")
-        self.table_name = "table_column_%s" % (str(uuid.uuid4())[1:6])
+        self.table_name = "table_column_%s" % (str(uuid.uuid4()).replace("-", ""))
         self.table_id = tables_utils.create_table(self.server, self.db_name,
                                                   self.schema_name,
                                                   self.table_name)
-        self.rule_name = "test_rule_delete_%s" % (str(uuid.uuid4())[1:6])
+        self.rule_name = "test_rule_delete_%s" % (str(uuid.uuid4()).replace("-", ""))
         self.rule_id = rules_utils.create_rule(self.server, self.db_name,
                                                self.schema_name,
                                                self.table_name,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/tests/test_rules_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/tests/test_rules_put.py
index a042580..1579246 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/tests/test_rules_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/tests/test_rules_put.py
@@ -44,11 +44,11 @@ class RulesUpdateTestCase(BaseTestGenerator):
                                                       self.schema_name)
         if not schema_response:
             raise Exception("Could not find the schema to delete rule.")
-        self.table_name = "table_column_%s" % (str(uuid.uuid4())[1:6])
+        self.table_name = "table_column_%s" % (str(uuid.uuid4()).replace("-", ""))
         self.table_id = tables_utils.create_table(self.server, self.db_name,
                                                   self.schema_name,
                                                   self.table_name)
-        self.rule_name = "test_rule_delete_%s" % (str(uuid.uuid4())[1:6])
+        self.rule_name = "test_rule_delete_%s" % (str(uuid.uuid4()).replace("-", ""))
         self.rule_id = rules_utils.create_rule(self.server, self.db_name,
                                                self.schema_name,
                                                self.table_name,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_add.py
index 9e4846c..43f7e8a 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_add.py
@@ -72,7 +72,7 @@ class TableAddTestCase(BaseTestGenerator):
     def runTest(self):
         """ This function will add table under schema node. """
         db_user = self.server["username"]
-        self.table_name = "test_table_add_%s" % (str(uuid.uuid4())[1:6])
+        self.table_name = "test_table_add_%s" % (str(uuid.uuid4()).replace("-", ""))
         data = {
             "check_constraint": [],
             "coll_inherits": "[]",
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_delete.py
index 9749fed..a1911db 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_delete.py
@@ -42,7 +42,7 @@ class TableDeleteTestCase(BaseTestGenerator):
                                                       self.schema_name)
         if not schema_response:
             raise Exception("Could not find the schema to add a table.")
-        self.table_name = "test_table_delete_%s" % (str(uuid.uuid4())[1:6])
+        self.table_name = "test_table_delete_%s" % (str(uuid.uuid4()).replace("-", ""))
         self.table_id = tables_utils.create_table(self.server, self.db_name,
                                                   self.schema_name,
                                                   self.table_name)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_get.py
index 2a1d969..4cd784b 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_get.py
@@ -42,7 +42,7 @@ class TableGetTestCase(BaseTestGenerator):
                                                       self.schema_name)
         if not schema_response:
             raise Exception("Could not find the schema to add a table.")
-        self.table_name = "test_table_get_%s" % (str(uuid.uuid4())[1:6])
+        self.table_name = "test_table_get_%s" % (str(uuid.uuid4()).replace("-", ""))
         self.table_id = tables_utils.create_table(self.server, self.db_name,
                                                   self.schema_name,
                                                   self.table_name)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_put.py
index ef476d7..cb1053f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_put.py
@@ -86,7 +86,7 @@ class TableUpdateTestCase(BaseTestGenerator):
                                                       self.schema_name)
         if not schema_response:
             raise Exception("Could not find the schema to add a table.")
-        self.table_name = "test_table_put_%s" % (str(uuid.uuid4())[1:6])
+        self.table_name = "test_table_put_%s" % (str(uuid.uuid4()).replace("-", ""))
 
         self.is_partition = False
         if hasattr(self, 'server_min_version'):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_add.py
index f2398aa..4860dc2 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_add.py
@@ -45,18 +45,18 @@ class TriggersAddTestCase(BaseTestGenerator):
                                                       self.schema_name)
         if not schema_response:
             raise Exception("Could not find the schema to add a trigger.")
-        self.table_name = "table_trigger_%s" % (str(uuid.uuid4())[1:6])
+        self.table_name = "table_trigger_%s" % (str(uuid.uuid4()).replace("-", ""))
         self.table_id = tables_utils.create_table(self.server, self.db_name,
                                                   self.schema_name,
                                                   self.table_name)
-        self.func_name = "trigger_func_add_%s" % str(uuid.uuid4())[1:6]
+        self.func_name = "trigger_func_add_%s" % str(uuid.uuid4()).replace("-", "")
         self.function_info = \
             trigger_funcs_utils.create_trigger_function_with_trigger(
             self.server, self.db_name, self.schema_name, self.func_name)
 
     def runTest(self):
         """This function will trigger under table node."""
-        trigger_name = "test_trigger_add_%s" % (str(uuid.uuid4())[1:6])
+        trigger_name = "test_trigger_add_%s" % (str(uuid.uuid4()).replace("-", ""))
         data = {"name": trigger_name,
                 "is_row_trigger": True,
                 "fires": "BEFORE",
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_delete.py
index 1ea4bde..12fd380 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_delete.py
@@ -45,15 +45,15 @@ class TriggersDeleteTestCase(BaseTestGenerator):
                                                       self.schema_name)
         if not schema_response:
             raise Exception("Could not find the schema to delete trigger.")
-        self.table_name = "table_trigger_%s" % (str(uuid.uuid4())[1:6])
+        self.table_name = "table_trigger_%s" % (str(uuid.uuid4()).replace("-", ""))
         self.table_id = tables_utils.create_table(self.server, self.db_name,
                                                   self.schema_name,
                                                   self.table_name)
-        self.func_name = "trigger_func_delete_%s" % str(uuid.uuid4())[1:6]
+        self.func_name = "trigger_func_delete_%s" % str(uuid.uuid4()).replace("-", "")
         self.function_info = \
             trigger_funcs_utils.create_trigger_function_with_trigger(
             self.server, self.db_name, self.schema_name, self.func_name)
-        self.trigger_name = "test_trigger_delete_%s" % (str(uuid.uuid4())[1:6])
+        self.trigger_name = "test_trigger_delete_%s" % (str(uuid.uuid4()).replace("-", ""))
         self.trigger_id = triggers_utils.create_trigger(self.server,
                                                         self.db_name,
                                                         self.schema_name,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_get.py
index 58dd929..ee948cc 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_get.py
@@ -45,15 +45,15 @@ class TriggersGetTestCase(BaseTestGenerator):
                                                       self.schema_name)
         if not schema_response:
             raise Exception("Could not find the schema to get a trigger.")
-        self.table_name = "table_trigger_%s" % (str(uuid.uuid4())[1:6])
+        self.table_name = "table_trigger_%s" % (str(uuid.uuid4()).replace("-", ""))
         self.table_id = tables_utils.create_table(self.server, self.db_name,
                                                   self.schema_name,
                                                   self.table_name)
-        self.func_name = "trigger_func_get_%s" % str(uuid.uuid4())[1:6]
+        self.func_name = "trigger_func_get_%s" % str(uuid.uuid4()).replace("-", "")
         self.function_info = \
             trigger_funcs_utils.create_trigger_function_with_trigger(
             self.server, self.db_name, self.schema_name, self.func_name)
-        self.trigger_name = "test_trigger_get_%s" % (str(uuid.uuid4())[1:6])
+        self.trigger_name = "test_trigger_get_%s" % (str(uuid.uuid4()).replace("-", ""))
         self.trigger_id = triggers_utils.create_trigger(self.server,
                                                         self.db_name,
                                                         self.schema_name,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_put.py
index 7166c1f..372c8dd 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_put.py
@@ -47,15 +47,15 @@ class TriggersUpdateTestCase(BaseTestGenerator):
                                                       self.schema_name)
         if not schema_response:
             raise Exception("Could not find the schema to update a trigger.")
-        self.table_name = "table_trigger_%s" % (str(uuid.uuid4())[1:6])
+        self.table_name = "table_trigger_%s" % (str(uuid.uuid4()).replace("-", ""))
         self.table_id = tables_utils.create_table(self.server, self.db_name,
                                                   self.schema_name,
                                                   self.table_name)
-        self.func_name = "trigger_func_add_%s" % str(uuid.uuid4())[1:6]
+        self.func_name = "trigger_func_add_%s" % str(uuid.uuid4()).replace("-", "")
         self.function_info = \
             trigger_funcs_utils.create_trigger_function_with_trigger(
             self.server, self.db_name, self.schema_name, self.func_name)
-        self.trigger_name = "test_trigger_delete_%s" % (str(uuid.uuid4())[1:6])
+        self.trigger_name = "test_trigger_delete_%s" % (str(uuid.uuid4()).replace("-", ""))
         self.trigger_id = triggers_utils.create_trigger(self.server,
                                                         self.db_name,
                                                         self.schema_name,
